
Katello - Bug #4654

(nightlies 3-13-14) cannot select environment in new hostgroup creation dialogue

03/13/2014 03:40 PM - Erik Jacobs

Status: Closed   

Priority: Urgent   

Assignee: Justin Sherrill   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman-1.5.0-0.develop.201403121628git312042b.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403121628git312042b.el6.noarch

foreman-proxy-1.5.0-0.develop.201402201704gita25e7b9.el6.noarch

foreman-release-1.5.0-0.develop.201403121628git312042b.el6.noarch

katello-1.5.0-14.201403121627git3894736.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403121627git3894736.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.el6.noarch

rubygem-katello_api-0.0.8-1.el6.noarch

Click "Configure" -> "Host Groups" -> "New Host Group"

The environment dropdown does not contain actual environments. It has something like:

KT_ACME_Corporation_Development_Puppet_Publish_3

History

#1 - 03/13/2014 03:53 PM - Erik Jacobs

So this appears to be more a UI formatting issue than a real issue.

For example:

My Org is "ACME_Corporation" and I have created a "Development" lifecycle environment, and published Puppet content to it.

Additionally, the "Library" environment is there by default, which explains:

KT_ACME_Corporation_Library_Puppet_Publish_3

So it looks like this is a formatting problem.

#2 - 03/13/2014 03:54 PM - Erik Jacobs

- File Screenshot from 2014-03-13 11_53_46.png added

#3 - 03/13/2014 04:00 PM - Erik Jacobs

- File Screenshot from 2014-03-13 11_57_49.png added

Could possibly be deface-related issues.

See screenshot of new organizations page.
#4 - 03/24/2014 03:50 AM - Mike McCune

- Category set to 83

- Assignee set to Ivan Necas

- Triaged set to No

#5 - 03/24/2014 03:50 AM - Mike McCune

- Triaged changed from No to Yes

#6 - 03/24/2014 06:51 PM - Justin Sherrill

- Status changed from New to Assigned

- Assignee changed from Ivan Necas to Justin Sherrill

#7 - 03/24/2014 07:24 PM - Justin Sherrill

- Status changed from Assigned to Closed

This issue appears to have been resolved by one or more previous issue fixes.

#8 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13

Files

Screenshot from 2014-03-13 11_53_46.png 99.8 KB 03/13/2014 Erik Jacobs

Screenshot from 2014-03-13 11_57_49.png 83.4 KB 03/13/2014 Erik Jacobs
